struct filter
{
	int accept;
	int num;
	int nc;
	unsigned int len;
	char *part;
	char *rule;
	struct filter *next;
};

int filter_checkline(char *line, int body, char *ruledesc);
int filter_init(char *fname, int reload, char *reason);
void filter_free(void);
int filter_checkattach(char *name);
